#### Incident Fields

- New: **Microsoft Graph Security Id**
- New: **Microsoft Graph Security Recommended Action**
- New: **Microsoft Graph Security Service Source**
- New: **Microsoft Graph Security Alert Determination**
- New: **Microsoft Graph Security Comment**
- New: **Microsoft Graph Security Detector Id**
- New: **Microsoft Graph Security Alert Evidence**

#### Incident Types

- New: **Graph Security Alert**

#### Integrations
##### Microsoft Graph Security

- Updated the Docker image to: *demisto/crypto:1.0.0.58768*.
- Added the command **msg-create-alert-comment**. This command is supported only when using API V2.
- Added the *MS graph security version* integration parameter. This parameter will determine the version of the API to use. Note: The default version is V2 which causes breaking changes and demands reconfiguring with new credentials. If you're using a self-deployed application, refer to the `Required Permissions -> API V2` section  in the integration readme to learn about the required permissions. Otherwise, refer to the link in the `Help` section in the integration configuration window.
- Added the *Fetch incidents of the given service sources only.* integration parameter. Use this param to filter fetched alerts by service source. **Only relevant when using V2 of the API**.
- Added support for V2 of the API for the following commands:
   - ***msg-search-alerts***
   - ***msg-get-alert-details***
   - ***msg-update-alert*** 
   For more information, refer to the integration readme.
- Note: - Changed the display name of the following integration parameters: **First fetch time range** and **How many incidents to fetch each time** to **First fetch timestamp (<number> <time unit>, e.g., 12 hours, 7 days)** and **Max incidents per fetch** respectively.
- Added the following arguments to the ***msg-search-alerts*** command:
   - *page*
   - *page_size*
   - *limit*
   Refer to the documentation for more information about the usage and limitations.

#### Mappers

##### New: Graph Security Alert
- Added the **Graph Security Alert** mapper. Use this mapper to map incidents fetched from the V2 version of the API.